from app import app
from os import getpid
from sys import exit
from pyrogram import filters
from pyrogram.types import Message
from pyrogram.client import Client
from modules.utils import locale, logWrite, should_quote
from modules.scheduled import scheduler
from modules import custom_filters

pid = getpid()

# Shutdown command =============================================================================================================
@app.on_message(~filters.scheduled & filters.private & filters.command(["kill", "die", "reboot"], prefixes=["/"]) & custom_filters.admin)
async def cmd_kill(app: Client, msg: Message):

    logWrite(f"Shutting down bot with pid {pid}")
    await msg.reply_text(locale("shutdown", "message", locale=msg.from_user).format(pid), quote=should_quote(msg))
    scheduler.shutdown()
    exit()
# ==============================================================================================================================